Subject: bug#63837: closed (Re: bug#63837: 29.0.91; delete-forward-char error with composed text)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Jun 2023 14:31:02 +0000

Your bug report

#63837: 29.0.91; delete-forward-char error with composed text

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63837: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63837
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63837: 29.0.91; delete-forward-char error with composed text
From: Eli Zaretskii <[email-masked]>
To: Thiago Melo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 02 Jun 2023 17:30:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Thiago Melo <[email-masked]>
> Date: Fri, 2 Jun 2023 13:42:19 +0000
> Cc: Robert Pluim <[email-masked]>, [email-masked]
> 
> On Fri, Jun 2, 2023 at 12:48 PM Eli Zaretskii <[email-masked]> wrote:
> > I fixed that on emacs-29.
> 
> Thanks, Eli.  It also works for me.

Thanks, closing the bug.

> I also saw the related Bug#56237.  From what I could test, it seems
> your fix doesn't cause a regression in their use case.  Right? (eg,
> when deleting the text "ரு போ").

The current fix didn't touch that case, it only touched the case of
static compositions, not automatic compositions.

Subject: 29.0.91; delete-forward-char error with composed text
From: Thiago Melo <[email-masked]>
To: [email-masked]
Date: Fri, 2 Jun 2023 10:42:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* How to reproduce:

0. Start emacs with `emacs -Q'
1. Create some text composition, e.g. eval: `(insert (compose-chars ?+))'
2. Move cursor to before composed character
3. `M-x delete-forward-char' or press <delete> key

* Backtrace:

Debugger entered--Lisp error: (wrong-type-argument sequencep t)
  lgstring-glyph-boundary(t 1 2)
  delete-forward-char(1 nil)
  funcall-interactively(delete-forward-char 1 nil)
  call-interactively(delete-forward-char nil nil)
  command-execute(delete-forward-char)